diff --git a/src/include/OSL/oslconfig.h.in b/src/include/OSL/oslconfig.h.in
index 29abe88..b9de57c 100644
--- a/src/include/OSL/oslconfig.h.in
+++ b/src/include/OSL/oslconfig.h.in
@@ -12,9 +12,9 @@
 // All the things we need from Imath.
 #define OSL_USING_IMATH @OSL_USING_IMATH@
 #if OSL_USING_IMATH >= 3
-#   include <Imath/ImathVec.h>
-#   include <Imath/ImathMatrix.h>
-#   include <Imath/ImathColor.h>
+#   include <Imath-3/ImathVec.h>
+#   include <Imath-3/ImathMatrix.h>
+#   include <Imath-3/ImathColor.h>
 #else
     // OpenEXR 2.x lacks the Cuda decorators we need, so we replicated some
     // Imath files in OSL/Imathx, adding the decorations needed for them to
diff --git a/src/include/OSL/Imathx/ImathColor.h b/src/include/OSL/Imathx/ImathColor.h
index d0b035f..1cbb28f 100644
--- a/src/include/OSL/Imathx/ImathColor.h
+++ b/src/include/OSL/Imathx/ImathColor.h
@@ -44,7 +44,7 @@
 //----------------------------------------------------
 
 #include "ImathVec.h"
-#include <OpenEXR/ImathNamespace.h>
+#include <OpenEXR-3/ImathNamespace.h>
 // #include "half.h"
 
 #ifndef IMATH_HOSTDEVICE
diff --git a/src/include/OSL/Imathx/ImathFun.h b/src/include/OSL/Imathx/ImathFun.h
index 1413c48..576b588 100644
--- a/src/include/OSL/Imathx/ImathFun.h
+++ b/src/include/OSL/Imathx/ImathFun.h
@@ -43,10 +43,10 @@
 //
 //-----------------------------------------------------------------------------
 
-#include <OpenEXR/ImathExport.h>
+#include <OpenEXR-3/ImathExport.h>
 #include "ImathLimits.h"
-#include <OpenEXR/ImathInt64.h>
-#include <OpenEXR/ImathNamespace.h>
+#include <OpenEXR-3/ImathInt64.h>
+#include <OpenEXR-3/ImathNamespace.h>
 
 IMATH_INTERNAL_NAMESPACE_HEADER_ENTER
 
diff --git a/src/include/OSL/Imathx/ImathLimits.h b/src/include/OSL/Imathx/ImathLimits.h
index 09fa419..ed19eaa 100644
--- a/src/include/OSL/Imathx/ImathLimits.h
+++ b/src/include/OSL/Imathx/ImathLimits.h
@@ -43,7 +43,7 @@
 //
 //----------------------------------------------------------------
 
-#include <OpenEXR/ImathNamespace.h>
+#include <OpenEXR-3/ImathNamespace.h>
 #include <float.h>
 #include <limits.h>
 
diff --git a/src/include/OSL/Imathx/ImathMatrix.h b/src/include/OSL/Imathx/ImathMatrix.h
index a4063dd..678f970 100644
--- a/src/include/OSL/Imathx/ImathMatrix.h
+++ b/src/include/OSL/Imathx/ImathMatrix.h
@@ -43,12 +43,12 @@
 //
 //----------------------------------------------------------------
 
-#include <OpenEXR/ImathPlatform.h>
+#include <OpenEXR-3/ImathPlatform.h>
 #include "ImathFun.h"
-#include <OpenEXR/ImathExc.h>
+#include <OpenEXR-3/ImathExc.h>
 #include "ImathVec.h"
-#include <OpenEXR/ImathShear.h>
-#include <OpenEXR/ImathNamespace.h>
+#include <OpenEXR-3/ImathShear.h>
+#include <OpenEXR-3/ImathNamespace.h>
 
 #include <cstring>
 #include <iostream>
diff --git a/src/include/OSL/Imathx/ImathVec.h b/src/include/OSL/Imathx/ImathVec.h
index e52af61..4cd696b 100644
--- a/src/include/OSL/Imathx/ImathVec.h
+++ b/src/include/OSL/Imathx/ImathVec.h
@@ -43,10 +43,10 @@
 //
 //----------------------------------------------------
 
-#include <OpenEXR/ImathExc.h>
+#include <OpenEXR-3/ImathExc.h>
 #include "ImathLimits.h"
-#include <OpenEXR/ImathMath.h>
-#include <OpenEXR/ImathNamespace.h>
+#include <OpenEXR-3/ImathMath.h>
+#include <OpenEXR-3/ImathNamespace.h>
 
 #include <iostream>
 #include <limits>
diff --git a/src/liboslexec/shadingsys.cpp b/src/liboslexec/shadingsys.cpp
index 74dc557..74762ab 100644
--- a/src/liboslexec/shadingsys.cpp
+++ b/src/liboslexec/shadingsys.cpp
@@ -30,7 +30,7 @@
 using namespace OSL;
 using namespace OSL::pvt;
 
-#include <OpenEXR/ImfChannelList.h>  // Just for OPENEXR_VERSION_STRING
+#include <OpenEXR-3/ImfChannelList.h>  // Just for OPENEXR_VERSION_STRING
 
 // avoid naming conflicts with MSVC macros
 #ifdef _MSC_VER
diff --git a/src/liboslquery/py_osl.h b/src/liboslquery/py_osl.h
index ee8284f..4988b44 100644
--- a/src/liboslquery/py_osl.h
+++ b/src/liboslquery/py_osl.h
@@ -26,7 +26,7 @@
 #include <OSL/oslquery.h>
 
 #if OSL_USING_IMATH >= 3
-#    include <Imath/half.h>
+#    include <Imath-3/half.h>
 #else
 #    include <OpenEXR/half.h>
 #endif
